import { type Ref } from 'vue';
import type { CollapseItemProps } from './collapseItemExpose';
export declare const useCollapseItem: (props: CollapseItemProps) => {
    focusing: Ref<boolean, boolean>;
    id: Ref<number, number>;
    isActive: import("vue").ComputedRef<any>;
    handleFocus: () => void;
    handleHeaderClick: () => void;
    handleEnterClick: () => void;
};
export declare const useCollapseItemDOM: (props: CollapseItemProps, { focusing, isActive, id, embedded, }: Partial<{
    focusing: Ref<boolean, boolean>;
    id: Ref<number, number>;
    isActive: import("vue").ComputedRef<any>;
    handleFocus: () => void;
    handleHeaderClick: () => void;
    handleEnterClick: () => void;
}> & {
    embedded: Ref<boolean>;
}) => {
    arrowKls: import("vue").ComputedRef<string[]>;
    headKls: import("vue").ComputedRef<(string | {
        focusing: boolean;
    })[]>;
    rootKls: import("vue").ComputedRef<string[]>;
    itemWrapperKls: import("vue").ComputedRef<string[]>;
    itemContentKls: import("vue").ComputedRef<string>;
    scopedContentId: import("vue").ComputedRef<string>;
    scopedHeadId: import("vue").ComputedRef<string>;
};
